#ifndef driving_h
#define driving_h

#include "tank.h"


tank *tank_create(const point *p);
void tank_destroy(tank *t);
void tank_init(tank *t);
void tank_copy(const tank *orig, tank *copy, bool withmovements, bool withwaypoints);

void tank_set_speed(tank *t, float a, float b);

void tank_drive(tank *t);
bool tank_navigate(tank *t, const point *target);
bool tank_rotate(tank *t, float rot);
void tank_loop(tank *t);

#endif
